clang-tools 8.0.0

Classes | Namespaces
Background.h File Reference
`#include "Context.h"`
`#include "FSProvider.h"`
`#include "GlobalCompilationDatabase.h"`
`#include "Threading.h"`
`#include "index/FileIndex.h"`
`#include "index/Index.h"`
`#include "index/Serialization.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/Support/SHA1.h"`
`#include "llvm/Support/Threading.h"`
`#include <atomic>`
`#include <condition_variable>`
`#include <deque>`
`#include <mutex>`
`#include <string>`
`#include <thread>`
`#include <vector>`
Include dependency graph for Background.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::BackgroundIndexStorage
class | clang::clangd::BackgroundIndex

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd